<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: structType</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for structType {SparkR}"><tr><td>structType {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>structType</h2>

<h3>Description</h3>

<p>Create a structType object that contains the metadata for a DataFrame. Intended for
use with createDataFrame and toDF.
</p>


<h3>Usage</h3>

<pre>
structType(x, ...)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>x</code></td>
<td>
<p>a structField object (created with the field() function)</p>
</td></tr>
<tr valign="top"><td><code>...</code></td>
<td>
<p>additional structField objects</p>
</td></tr>
</table>


<h3>Value</h3>

<p>a structType object
</p>


<h3>Examples</h3>

<pre>
## Not run: 
sc &lt;- sparkR.init()
sqlCtx &lt;- sparkRSQL.init(sc)
rdd &lt;- lapply(parallelize(sc, 1:10), function(x) { list(x, as.character(x)) })
schema &lt;- structType(structField("a", "integer"), structField("b", "string"))
df &lt;- createDataFrame(sqlCtx, rdd, schema)

## End(Not run)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
